Loading...
Searching...
No Matches
pdumodel::PowerMeter::EnergyPulseSettings Struct Reference

Energy LED pulse settings. More...

`import <PowerMeter.idl;`

## Public Attributes

boolean | pulseEnabled
| `true` to enable the energy LED pulse
vector< int > | poles
| Emit pulses for energy counted on any of these poles.
int | pulsesPerKWh
| Number of LED pulses per kWh of energy.

## Detailed Description

Energy LED pulse settings.

Definition at line 122 of file PowerMeter.idl.

## Member Data Documentation

## poles

vector<int> pdumodel::PowerMeter::EnergyPulseSettings::poles

Emit pulses for energy counted on any of these poles.

Definition at line 124 of file PowerMeter.idl.

## pulseEnabled

boolean pdumodel::PowerMeter::EnergyPulseSettings::pulseEnabled

`true` to enable the energy LED pulse

Definition at line 123 of file PowerMeter.idl.

## pulsesPerKWh

int pdumodel::PowerMeter::EnergyPulseSettings::pulsesPerKWh

Number of LED pulses per kWh of energy.

Definition at line 125 of file PowerMeter.idl.

The documentation for this struct was generated from the following file:

- PowerMeter.idl